> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/notatki-pinezki/36.-mutacja-dodaj-wiele-comments-do-wybranych-notes.md).

# 36. Mutacja: Dodaj wiele „Comments” do wybranych „Notes”

Ta mutacja pozwala dodać wiele komentarzy do wybranej notatki.

{% hint style="success" %}
Maksymalna liczba komentarzy do zapisania to 25.
{% endhint %}

* Komentarz może być powiązany z Polem za pomocą jego unikalnego identyfikatora `fieldUuid` oraz z Notatką poprzez `noteUuid`.
* Treść Komentarza można przekazać używając atrybutu `tekst` Jeśli treść musi mieć wiele linii, atrybut `tekst` powinien zawierać ciąg znaków z znakami nowej linii `\\n` do oddzielania linii. Na przykład: `"Pierwsza linia. jest tutaj\\nDruga linia jest tutaj.\\nTrzecia linia jest tutaj."`.
* Można ustawić określoną datę i godzinę powiązaną z komentarzem używając atrybutu `dataUtworzenia` w formacie ISO8601.

Przykładowe żądanie można znaleźć poniżej:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutacja BatchAddNoteComments {
  addNoteComments(input:{
    comments: [
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        text: "Czwarty komentarz z wielu.",
        createdDate: "2020-08-25T06:06:06.000Z"
      }, 
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        text: "Piąty komentarz z wielu.\\nDruga linia komentarza.",
        createdDate: "2020-08-25T06:06:07.000Z"
      }
    ]
  }) {
    uuid
    fieldUuid
    noteUuid
    dataUtworzenia
    dataAktualizacji
    tekst
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/notatki-pinezki/36.-mutacja-dodaj-wiele-comments-do-wybranych-notes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
